Bug 207762 - www/squid: 3.5.15 crashes under heavy load
Summary: www/squid: 3.5.15 crashes under heavy load
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-07 08:03 UTC by almorel
Modified: 2016-03-14 16:28 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (timp87)


Attachments
port patch (3.14 KB, patch)
2016-03-09 09:13 UTC, timp87
timp87: maintainer-approval+
Details | Diff
poudriere log (860.31 KB, text/x-log)
2016-03-09 11:52 UTC, timp87
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description almorel 2016-03-07 08:03:10 UTC
Hi,

From the last upgrade of squid to the version from 3.5.14 to 3.5.15, there is some troubles with the use of IPC by squid during heavy load. 

Here the output of /var/log/message for squid :

(squid-4): Ipc::Mem::Segment::open failed to shm_open(/var/run/squid/squid-page-pool.shm): (2) No such file or directory
squid[15742]: Squid Parent: (squid-4) process 5657 exited with status 1
squid[15742]: Squid Parent: (squid-4) process 5657 will not be restarted due to repeated, frequent failures

I also encounter some errors like this ticket explain:
http://bugs.squid-cache.org/show_bug.cgi?id=4447

We can replay the bug with a fresh install of squid on a clean Freebsd stable release 10.2.

I apply the last stable release of squid (http://www.squid-cache.org/Versions/v3/3.5/squid-3.5.15-20160302-r14000-RELEASENOTES.html) to the port on my server and seem's to fix the troubles. After installation of this release, we don't identify another crash of squid.

Will it be possible to apply the squid-3.5.15-20160302-r14000 for the squid port ?

Many thanks for your help and also the great job,

Regards, 
Alexandre
Comment 1 timp87 2016-03-08 18:14:44 UTC
Hi! Give me a couple of days, I'll update it to latest snapshot
Comment 2 timp87 2016-03-09 09:13:34 UTC
Created attachment 167917 [details]
port patch
Comment 3 timp87 2016-03-09 09:14:55 UTC
(In reply to almorel from comment #0)
Please, test the attached patch
Comment 4 timp87 2016-03-09 11:52:00 UTC
Created attachment 167921 [details]
poudriere log
Comment 5 almorel 2016-03-09 12:29:38 UTC
Hello, 

I apply the patch this morning that you attached, it work perfectly and add the last modifications from squid that we need to correct the bug. 

We make a test in a production environement with a higher debug level and I don't encounter any error. 

Many thanks, It correct definitively the bug.

Regards,
Comment 6 commit-hook freebsd_committer 2016-03-14 16:27:01 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 16:26:41 UTC 2016
New revision: 411100
URL: https://svnweb.freebsd.org/changeset/ports/411100

Log:
  www/squid: Fix crashes under heavy load

  Squid 3.5.15 addresses security issues, but reports have been made that
  it is unstable under load. These patches repair stability while not
  requiring we downgrade to 3.5.14 which reintroduces security vulnerabilities.

  PR:		207762
  Approved by:	maintainer
  MFH:		2016Q1

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/patch-configure
Comment 7 commit-hook freebsd_committer 2016-03-14 16:28:04 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 16:27:34 UTC 2016
New revision: 411101
URL: https://svnweb.freebsd.org/changeset/ports/411101

Log:
  MFH: r411100

  www/squid: Fix crashes under heavy load

  Squid 3.5.15 addresses security issues, but reports have been made that
  it is unstable under load. These patches repair stability while not
  requiring we downgrade to 3.5.14 which reintroduces security vulnerabilities.

  PR:		207762
  Approved by:	maintainer
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/squid/Makefile
  branches/2016Q1/www/squid/distinfo
  branches/2016Q1/www/squid/files/patch-configure